# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kurki/version'

Gem::Specification.new do |spec|
  spec.name          = "kurki"
  spec.version       = Kurki::VERSION
  spec.authors       = ["Chang Rajani", "Ville Tanskanen"]
  spec.email         = ["chra@cs.helsinki.fi"]
  spec.summary       = %q{Helsinki University Kurki system API}
  spec.description   = %q{Support for students and teachers}
  spec.homepage      = "http://kurki.cs.helsinki.fi"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "webmock"
  spec.add_development_dependency "codeclimate-test-reporter"
  spec.add_development_dependency "simplecov"

  spec.add_runtime_dependency "gli"
  spec.add_runtime_dependency 'rest-client'
  spec.add_runtime_dependency 'awesome_print'


end
